> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link Server Custom Id

> Links the custom server identifier, generated by the title, to the user's PlayFab account.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| AccountNotFound | 1001 |
| InvalidNamespaceMismatch | 1561 |
| LinkedIdentifierAlreadyClaimed | 1184 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/LinkServerCustomId
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/LinkServerCustomId:
    post:
      tags:
        - Account Management
      summary: Link Server Custom Id
      description: >
        Links the custom server identifier, generated by the title, to the
        user's PlayFab account.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | AccountNotFound | 1001 |

        | InvalidNamespaceMismatch | 1561 |

        | LinkedIdentifierAlreadyClaimed | 1184 |
      operationId: LinkServerCustomId
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkServerCustomIdRequest'
      responses:
        '200':
          $ref: '#/components/responses/LinkServerCustomIdResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    LinkServerCustomIdRequest:
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        ForceLink:
          description: >-
            If another user is already linked to the custom ID, unlink the other
            user and re-link.
          type: boolean
        PlayFabId:
          description: Unique PlayFab identifier.
          type: string
        ServerCustomId:
          description: Unique server custom identifier for this player.
          type: string
      required:
        - PlayFabId
        - ServerCustomId
      example:
        PlayFabId: '123412341234'
        ServerCustomId: 67AB-5397-CC54-EA31
    LinkServerCustomIdResult:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    LinkServerCustomIdResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/LinkServerCustomIdResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Link Server Custom Id](/services/playfab/api-references/rest/server/account-management/link-server-custom-id.md)
- [PFAccountManagementServerLinkServerCustomIdAsync](/services/playfab/api-references/c/pfaccountmanagement/functions/pfaccountmanagementserverlinkservercustomidasync.md)
- [PFAccountManagementLinkServerCustomIdRequest](/services/playfab/api-references/c/pfaccountmanagementtypes/structs/pfaccountmanagementlinkservercustomidrequest.md)
- [PFAccountManagementServerUnlinkServerCustomIdAsync](/services/playfab/api-references/c/pfaccountmanagement/functions/pfaccountmanagementserverunlinkservercustomidasync.md)
- [PlayFab Release Notes 2019](/services/playfab/release-notes/2019.md)
